Loading...
Searching...
No Matches
psa_drv_se_cipher_t Struct Reference
Secure Element Symmetric Ciphers

A struct containing all of the function pointers needed to implement cipher operations using secure elements. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_cipher_t:
[legend]

## Data Fields

size_t | private_context_size
psa_drv_se_cipher_setup_t | private_p_setup
psa_drv_se_cipher_set_iv_t | private_p_set_iv
psa_drv_se_cipher_update_t | private_p_update
psa_drv_se_cipher_finish_t | private_p_finish
psa_drv_se_cipher_abort_t | private_p_abort
psa_drv_se_cipher_ecb_t | private_p_ecb

## Detailed Description

A struct containing all of the function pointers needed to implement cipher operations using secure elements.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup or at build time.

If one of the functions is not implemented (such as psa_drv_se_cipher_ecb_t), it should be set to NULL.

Definition at line 498 of file crypto_se_driver.h.

## Field Documentation

## private_context_size

size_t psa_drv_se_cipher_t::private_context_size

The size in bytes of the hardware-specific secure element cipher context structure

Definition at line 502 of file crypto_se_driver.h.

## private_p_abort

psa_drv_se_cipher_abort_t psa_drv_se_cipher_t::private_p_abort

Function that aborts a cipher operation

Definition at line 512 of file crypto_se_driver.h.

## private_p_ecb

psa_drv_se_cipher_ecb_t psa_drv_se_cipher_t::private_p_ecb

Function that performs ECB mode for a cipher operation (Danger: ECB mode should not be used directly by clients of the PSA Crypto Client API)

Definition at line 517 of file crypto_se_driver.h.

## private_p_finish

psa_drv_se_cipher_finish_t psa_drv_se_cipher_t::private_p_finish

Function that completes a cipher operation

Definition at line 510 of file crypto_se_driver.h.

## private_p_set_iv

psa_drv_se_cipher_set_iv_t psa_drv_se_cipher_t::private_p_set_iv

Function that sets a cipher IV (if necessary)

Definition at line 506 of file crypto_se_driver.h.

## private_p_setup

psa_drv_se_cipher_setup_t psa_drv_se_cipher_t::private_p_setup

Function that performs a cipher setup operation

Definition at line 504 of file crypto_se_driver.h.

## private_p_update

psa_drv_se_cipher_update_t psa_drv_se_cipher_t::private_p_update

Function that performs a cipher update operation

Definition at line 508 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h